.\" @(#) $Name: arts++-1-1-a13 $ $Id: artsases.man,v 1.1.1.1 2002/11/16 00:46:38 rkoga Exp $
.TH artsases l LOCAL
.SH NAME
artsases \- utility to display AS matrix objects from ARTS files
.SH SYNOPSIS
.nf
artsases [-v] [-p] [-r] [-i ifIndexList] [-l maxEntries] 
         [-t AS] [-s srcAS] [-d dstAS] [-b beginTime] 
         [-e endTime] infile(s)
.fi
.SH DESCRIPTION
.I artsases
is a utility that reads AS matrix objects from ARTS files (\fIinfile(s)\fR)
and displays a summary of their contents on stdout.
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIartsases\fR to print version information
and exit immediately.
.IP "\fB-p"
The \fI-p\fR option will cause the entries to be sorted in descending
order by packet count before being printed on stdout.  The default is
to sort in descending order by byte count.
.IP "\fB-r"
When using the \fI-t AS\fR option, the default output shows the total
byte and packet counters only.  If you also use the \fI-r\fR option,
the output will contain packet and bit rates instead of packet and
byte totals.
.IP "\fB-i ifIndexList"
The \fI-i ifIndexList\fR option may be used to select only data which
contains an interface index attribute in \fIifIndexList\fR.  In other
words, the \fI-i ifIndexList\fR option lets you select data from
particular interfaces or sets of interfaces.  \fIifIndexList\fR may
contain hyphens (indicating an inclusive range) and commas.  For
example, \fI-i 1,2,5-8\fR would select data with an interface index
attribute of 1, 2, 5, 6, 7 or 8.
.IP "\fB-l maxEntries"
The \fI-l maxEntries\fR option will cause only the first \fImaxEntries\fR
AS matrix entries to be shown for each AS matrix object.
.IP "\fB-t AS"
The \fI-t AS\fR option will cause only the total traffic for \fIAS\fR
to be shown.  This is convenient when you wish to see the total amount
of traffic to and from a particular AS.
.IP "\fB-s srcAS"
The \fI-s srcAS\fR option causes only entries with a source AS equal to
\fIsrcAS\fR to be shown.  This permits selecting only traffic from
a particular AS.
.IP "\fB-d dstAS"
The \fI-d dstAS\fR option causes only entries with a destination AS
equal to \fIdstAS\fR to be shown.  This permits selecting only traffic
to a particular AS.
.IP "\fB-b beginTime"
The \fI-b beginTime\fR option may be used to select only the data
which is from a time period at or later than \fIbeginTime\fR.  
\fIbeginTime\fR must be of the form 'MM/DD/CCYY hh:mm:ss' and must be
enclosed in quotes.  Example:
.nf

  '8/31/1999 09:00:00'
.fi
.IP "\fB-e endTime"
The \fI-e endTime\fR option may be used to select only the data
which is from a time period at or before \fIendTime\fR. 
\fIendTime\fR must be of the form 'MM/DD/CCYY hh:mm:ss' and must be
enclosed in quotes.  Example:
.nf

  '8/31/1999 09:00:00'
.fi
.SH EXAMPLES
.IP "artsases arts.19980821
.SH SEE ALSO
artsagg(l), artsasagg(l), artsnets(l), artsnetagg(l), artsportmagg(l), 
artsportms(l), artsports(l), artsprotoagg(l), artsprotos(l), artsintfmagg(l), 
artsintfms(l). artsnexthopagg(l), artsnexthops(l), artstos(l), artstoc(l), 
artsdump(l)
.SH ACKNOWLEDGEMENTS
\fBartsases \fRand documentation written by Daniel W. McRobb
.br
CAIDA, August 1998

