.\" @(#) $Name: arts++-1-1-a13 $ $Id: artsintfmagg.man,v 1.1.1.1 2002/11/16 00:46:38 rkoga Exp $
.TH artsintfmagg l LOCAL
.SH NAME
artsintfmagg \- utility to aggregate interface matrix objects in time domain
.SH SYNOPSIS
.nf
artsintfmagg [-v] [-i ifIndexList] [-I ifIndexList]
             [-h hours] [-o] [-q] outfile infile(s)
.fi
.SH DESCRIPTION
.I artsintfmagg
is a utility that reads interface matrix objects from ARTS files
(\fIinfile(s)\fR) and aggregates them in the time domain, placing the
resulting interface matrix object(s) into an output file
(\fIoutfile\fR).  For example, you may use \fIartsintfmagg\fR to
aggregate 5-minute interface matrix data to 1-hour interface matrix
data.
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIartsintfmagg\fR to print version information
and exit immediately.
.IP "\fB-i ifIndexList"
The \fI-i ifIndexList\fR option may be used to select only data which
contains an interface index attribute in \fIifIndexList\fR.  In other
words, the \fI-i ifIndexList\fR option lets you select data from
particular interfaces or sets of interfaces.  \fIifIndexList\fR may
contain hyphens (indicating an inclusive range) and commas.  For
example, \fI-i 1,2,5-8\fR would select data with an interface index
attribute of 1, 2, 5, 6, 7 or 8.
.IP "\fB-I ifIndexList"
The \fI-I ifIndexList\fR option may be used to combine data which
contains an interface index attribute in \fIifIndexList\fR.  In other
words, the \fI-I ifIndexList\fR option lets you aggregate data across a
set of interfaces.  \fIifIndexList\fR may contain hyphens (indicating an
inclusive range) and commas.  For example, \fI-I 1,2,5-8\fR would
aggregate all data data with an interface index attribute of 1, 2, 5, 6,
7 or 8.  The resulting aggregate objects will contain an interface index
attribute of 0.
.IP "\fB-h hours"
The \fI-h hours\fR option may be used to specify the period of
aggregation, in hours.  The \fIhours\fR argument accepts a decimal value
to permit aggregation by fractional hour values.  When the \fI-h
hours\fR option is not used, \fIartsintfmagg\fR will write a single
interface matrix object for the entire time interval seen in
\fIinfile(s)\fR to \fIoutfile\fR.
.IP "\fB-o"
By default, \fIartsintfmagg\fR appends to the output file, so you may
accumlate aggregate interface matrix objects in a single file over
multiple invocations of \fIartsintfmagg\fR.  You may override this
behavior with the \fI-o\fR option.  This will cause \fIartsintfmagg\fR
to overwrite the output file instead of appending to it.
.IP "\fB-q"
By default, \fIartsintfmagg\fR prints a '.' for each interface matrix
object it reads and prints a '+' for each object it writes.  You may
suppress this behavior using the \fI-q\fR (quiet) option.
.SH EXAMPLES
.IP "artsintfmagg -h 1.0 /tmp/intfmagg1hr.19980821 arts.19980821
.SH NOTES
.SH SEE ALSO
artsagg(l), artsintfms(l), artsintfmagg(l), artsnexthops(l), 
artsnexthopagg(l), artsases(l), artsasagg(l), artsnets(l), artsnetagg(l),
artsportmagg(l), artsportms(l), artsports(l), artsprotoagg(l), 
artsprotos(l), artstos(l), artstoc(l), artsdump(l)
.SH ACKNOWLEDGEMENTS
\fBartsintfmagg \fRand documentation written by Daniel W. McRobb
.br
CAIDA, August 1998

