.\" @(#) $Name: arts++-1-1-a13 $ $Id: artsintfms.man,v 1.1.1.1 2002/11/16 00:46:38 rkoga Exp $
.TH artsintfms l LOCAL
.SH NAME
artsintfms \- utility to display interface matrix objects from ARTS files
.SH SYNOPSIS
.nf
artsintfms [-v] [-p] [-i ifIndexList] [-s srcIntfList] 
           [-d dstIntfList] [-b beginTime] [-e endTime] 
           infile(s)
.fi
.SH DESCRIPTION
.I artsintfms
is a utility that reads interface matrix objects from ARTS files
(\fIinfile(s)\fR) and displays a summary of their contents on stdout.
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIartsintfms\fR to print version information
and exit immediately.
.IP "\fB-p"
The \fI-p\fR option will cause the entries to be sorted in descending
order by packet count before being printed on stdout.  The default is
to sort in descending order by byte count.
.IP "\fB-y ifIndexList"
The \fI-i ifIndexList\fR option causes only entries with a source (input)
interface index in \fIifIndexList\fR to be shown.  This permits
selecting only traffic from a particular interface or set of interfaces.
Note: this is similar to the \fI-s srcIntfList\fR option, but checks the
interface index attribute instead of the actual interface matrix
entries.
.IP "\fB-s srcIntfList"
The \fI-s srcIntfList\fR option causes only entries with a source (input)
interface index in \fIsrcIntfList\fR to be shown.  This permits
selecting only traffic from a particular interface or set of interfaces.
.IP "\fB-d dstIntfList"
The \fI-d dstIntfList\fR option causes only entries with a destination
interface index in \fIdstIntfList\fR to be shown.  This permits
selecting only traffic to a particular interface or set of interfaces.
.IP "\fB-b beginTime"
The \fI-b beginTime\fR option may be used to select only the data
which is from a time period at or later than \fIbeginTime\fR.  
\fIbeginTime\fR must be of the form 'MM/DD/CCYY hh:mm:ss' and must be
enclosed in quotes.  Example:
.nf

  '8/31/1999 09:00:00'
.fi
.IP "\fB-e endTime"
The \fI-e endTime\fR option may be used to select only the data
which is from a time period at or before \fIendTime\fR. 
\fIendTime\fR must be of the form 'MM/DD/CCYY hh:mm:ss' and must be
enclosed in quotes.  Example:
.nf

  '8/31/1999 09:00:00'
.fi
.SH EXAMPLES
.IP "artsintfms arts.19980821"
.SH SEE ALSO
artsagg(l), artsintfmagg(l), artsnexthops(l), artsnexthopagg(l), artsasagg(l), 
artsases(l), artsdump(l), artsnets(l), artsnetagg(l), artsportmagg(l), 
artsportms(l), artsports(l), artsprotoagg(l), artsprotos(l), artstoc(l), 
artstos(l)
.SH ACKNOWLEDGEMENTS
\fBartsintfms \fRand documentation written by Daniel W. McRobb
.br
CAIDA, December 1998

