.\" @(#) $Name: arts++-1-1-a13 $ $Id: artsnets.man,v 1.1.1.1 2002/11/16 00:46:38 rkoga Exp $
.TH artsnets l LOCAL
.SH NAME
artsnets \- utility to display net matrix objects from ARTS files
.SH SYNOPSIS
.nf
artsnets [-v] [-r] [-p] [-i ifIndexList] [-l maxEntries] 
         [-s srcNet/masklen] [-d dstNet/masklen] 
         [-b beginTime] [-e endTime] infile(s)
.fi
.SH DESCRIPTION
.I artsnets
is a utility that reads net matrix objects from ARTS files (\fIinfile(s)\fR)
and displays a summary of their contents on stdout.
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIartsnets\fR to print version information
and exit immediately.
.IP "\fB-r"
The \fI-r\fR option will cause the traffic rates (pkts/sec and bits/sec)
to be printed instead of packets and bytes.
.IP "\fB-p"
The \fI-p\fR option will cause the entries to be sorted in descending
order by packet count before being printed on stdout.  The default is
to sort in descending order by byte count.
.IP "\fB-i ifIndexList"
The \fI-i ifIndexList\fR option may be used to select only data which
contains an interface index attribute in \fIifIndexList\fR.  In other
words, the \fI-i ifIndexList\fR option lets you select data from
particular interfaces or sets of interfaces.  \fIifIndexList\fR may
contain hyphens (indicating an inclusive range) and commas.  For
example, \fI-i 1,2,5-8\fR would select data with an interface index
attribute of 1, 2, 5, 6, 7 or 8.
.IP "\fB-l maxEntries"
The \fI-l maxEntries\fR option will cause only the first \fImaxEntries\fR
net matrix entries to be shown for each net matrix object.
.IP "\fB-s srcNet/masklen"
The \fI-s srcNet/masklen\fR option will cause only entries with a source
network address equal to \fIsrcNet\fR and a source netmask length of 
\fImasklen\fR (or greater) to be shown.
.IP "\fB-d dstNet/masklen"
The \fI-s dstNet/masklen\fR option will cause only entries with a destination
network address equal to \fIdstNet\fR and a destination netmask length of 
\fImasklen\fR (or greater) to be shown.
.IP "\fB-b beginTime"
The \fI-b beginTime\fR option may be used to select only the data
which is from a time period at or later than \fIbeginTime\fR.  
\fIbeginTime\fR must be of the form 'MM/DD/CCYY hh:mm:ss' and must be
enclosed in quotes.  Example:
.nf

  '8/31/1999 09:00:00'
.fi
.IP "\fB-e endTime"
The \fI-e endTime\fR option may be used to select only the data
which is from a time period at or before \fIendTime\fR. 
\fIendTime\fR must be of the form 'MM/DD/CCYY hh:mm:ss' and must be
enclosed in quotes.  Example:
.nf

  '8/31/1999 09:00:00'
.fi
.SH EXAMPLES
.IP "artsnets arts.19980821"
.IP "artsnets -s 166.48.0.0/16 arts.19980821"
.SH SEE ALSO
artsagg(l), artsnetagg(l), artsdump(l), artsases(l), artsasagg(l), 
artsportmagg(l), artsportms(l), artsports(l), artsprotoagg(l), 
artsprotos(l), artstoc(l), artsintfmagg(l), artsintfms(l), artsnexthops(l),
artsnexthopagg(l), artstos(l)
.SH ACKNOWLEDGEMENTS
\fBartsnets \fRand documentation written by Daniel W. McRobb
.br
CAIDA, August 1998

