.\" @(#) $Name: arts++-1-1-a13 $ $Id: artsnexthops.man,v 1.1.1.1 2002/11/16 00:46:39 rkoga Exp $
.TH artsnexthops l LOCAL
.SH NAME
artsnexthops \- utility to display IP nexthop table objects from ARTS files
.SH SYNOPSIS
.nf
artsnexthops [-v] [-p] [-i ifIndexList] [-l maxEntries] 
             [-b beginTime] [-e endTime] infile(s)
.fi
.SH DESCRIPTION
.I artsnexthops
is a utility that reads nexthop table objects from ARTS files 
(\fIinfile(s)\fR) and displays a summary of their contents on stdout.
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIartsnexthops\fR to print version information
and exit immediately.
.IP "\fB-p"
The \fI-p\fR option will cause the entries to be sorted in descending
order by packet count before being printed on stdout.  The default is
to sort in descending order by byte count.
.IP "\fB-i ifIndexList"
The \fI-i ifIndexList\fR option permits selecting only data for a
specific input interface or set of input interfaces.  Selection is by
the interface's \fIifIndex\fR that is stored as an attribute in the
nexthop object.
.IP "\fB-l maxEntries"
The \fI-l maxEntries\fR option will cause only the first \fImaxEntries\fR
nexthop entries to be shown from each nexthop table object.
.IP "\fB-b beginTime"
The \fI-b beginTime\fR option may be used to select only the data
which is from a time period at or later than \fIbeginTime\fR.  
\fIbeginTime\fR must be of the form 'MM/DD/CCYY hh:mm:ss' and must be
enclosed in quotes.  Example:
.nf

  '8/31/1999 09:00:00'
.fi
.IP "\fB-e endTime"
The \fI-e endTime\fR option may be used to select only the data
which is from a time period at or before \fIendTime\fR. 
\fIendTime\fR must be of the form 'MM/DD/CCYY hh:mm:ss' and must be
enclosed in quotes.  Example:
.nf

  '8/31/1999 09:00:00'
.fi
.SH EXAMPLES
.nf
.IP "artsnexthops -i 1,2,5-8 -l 10 -b '08/21/1998 09:00:00' arts.19980821"
.fi
.SH SEE ALSO
artsagg(l), artsnexthopagg(l), artsprotos(l), artsprotoagg(l), artsdump(l),
artsases(l), artsasagg(l), artsnets(l), artsnetagg(l), artsportmagg(l),
artsportms(l), artsports(l), artsintfmagg(l), artsintfms(l), artstos(l),
artstoc(l)
.SH ACKNOWLEDGEMENTS
\fBartsprotos\fR and documentation written by Daniel W. McRobb
.br
CAIDA, August 1998

