.\" @(#) $Name: arts++-1-1-a13 $ $Id: artsportagg.man,v 1.1.1.1 2002/11/16 00:46:39 rkoga Exp $
.TH artsportagg l LOCAL
.SH NAME
artsportagg \- utility to aggregate port table objects in time domain
.SH SYNOPSIS
artsportagg [-h hours] [-o] [-q] outfile infile(s)
.SH DESCRIPTION
.I artsportagg
is a utility that reads port table objects from ARTS files (\fIinfile(s)\fR)
and aggregates them in the time domain, placing the resulting port table
object(s) into an output file (\fIoutfile\fR).
.SH OPTIONS
.IP "\fB-h hours"
The \fI-h hours\fR option may be used to specify the period of aggregation,
in hours.  The \fIhours\fR argument accepts a decimal value to permit
aggregation by fractional hour values.  When the \fI-h hours\fR option is
not used, \fIartsportagg\fR will write a single port table object for the
entire time interval seen in \fIinfile(s)\fR to \fIoutfile\fR.
.IP "\fB-o"
By default, \fIartsportagg\fR appends to the output file, so you may
accumlate aggregate port table objects in a single file over multiple
invocations of \fIartsportagg\fR.  You may override this behavior with the
\fI-o\fR option.  This will cause \fIartsportagg\fR to overwrite the output
file instead of appending to it.
.IP "\fB-q"
By default, \fIartsportagg\fR prints a '.' for each port table object it
reads and prints a '+' for each object it writes.  You may suppress this 
behavior with the \fI-q\fR (quiet) option.
.SH EXAMPLES
.IP "artsportagg -h 1.0 /tmp/portagg1hr.19980821 arts.19980821
.SH SEE ALSO
artsagg(l), artsportmagg(l), artsportms(l), artsports(l), artsdump(l),
artsases(l), artsasagg(l), artsnets(l), artsnetagg(l), artsprotoagg(l),
artsprotos(l), artsintfms(l), artsintfmagg(l), artsnexthops(l),
artsnexthopagg(l), artstos(l), artstoc(l)
.SH ACKNOWLEDGEMENTS
\fBartsportagg \fRand documentation written by Daniel W. McRobb
.br
CAIDA, August 1998

