.\" @(#) $Name: arts++-1-1-a13 $ $Id: artsportms.man,v 1.1.1.1 2002/11/16 00:46:39 rkoga Exp $
.TH artsportms l LOCAL
.SH NAME
artsportms \- utility to display port matrix objects from ARTS files
.SH SYNOPSIS
.nf
artsportms [-v] [-p] [-i ifIndex] [-l maxEntries] [-s srcPort] 
           [-d dstPort] [-b beginTime] [-e endTime] infile(s)
.fi
.SH DESCRIPTION
.I artspormts
is a utility that reads port matrix objects from ARTS files (\fIinfile(s)\fR)
and displays a summary of their contents on stdout.
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIartsportms\fR to print version information
and exit immediately.
.IP "\fB-p"
The \fI-p\fR option will cause the entries to be sorted in descending
order by packet count (sum of both input and output packets) before being 
printed on stdout.  The default is to sort in descending order by byte 
count (sum of both input and output bytes).
.IP "\fB-i ifIndexList"
The \fI-i ifIndexList\fR option may be used to select only data which
contains an interface index attribute in \fIifIndexList\fR.  In other
words, the \fI-i ifIndexList\fR option lets you select data from
particular interfaces or sets of interfaces.  \fIifIndexList\fR may
contain hyphens (indicating an inclusive range) and commas.  For
example, \fI-i 1,2,5-8\fR would select data with an interface index
attribute of 1, 2, 5, 6, 7 or 8.
.IP "\fB-l maxEntries"
The \fI-l maxEntries\fR option will cause only the first \fImaxEntries\fR
port matrix entries to be shown for each port matrix object.
.IP "\fB-s srcPort"
The \fI-s srcPort\fR option causes only entries with a source port equal to
\fIsrcPort\fR to be shown.  This permits selecting only traffic from
a particular port.
.IP "\fB-d dstPort"
The \fI-d dstPort\fR option causes only entries with a destination port
equal to \fIsrcPort\fR to be shown.  This permits selecting only traffic
to a particular port.
.IP "\fB-b beginTime"
The \fI-b beginTime\fR option may be used to select only the data
which is from a time period at or later than \fIbeginTime\fR.  
\fIbeginTime\fR must be of the form 'MM/DD/CCYY hh:mm:ss' and must be
enclosed in quotes.  Example:
.nf

  '8/31/1999 09:00:00'
.fi
.IP "\fB-e endTime"
The \fI-e endTime\fR option may be used to select only the data
which is from a time period at or before \fIendTime\fR. 
\fIendTime\fR must be of the form 'MM/DD/CCYY hh:mm:ss' and must be
enclosed in quotes.  Example:
.nf

  '8/31/1999 09:00:00'
.fi
.SH EXAMPLES
.IP "artsportms arts.19980821
.SH SEE ALSO
artsportmagg(l), artsports(l), artsportagg(), artsdump(l), artsases(l), 
artsasagg(l), artsnets(l), artsnetagg(l), artsprotoagg(l), artsprotos(l), 
artstoc(l), jcdstasbar(l), jcsrcasbar(l)
.SH ACKNOWLEDGEMENTS
\fBartsportms \fRand documentation written by Daniel W. McRobb
.br
CAIDA, September 1998

