.\" @(#) $Name: arts++-1-1-a13 $ $Id: artsports.man,v 1.1.1.1 2002/11/16 00:46:39 rkoga Exp $
.TH artsports l LOCAL
.SH NAME
artsports \- utility to display port table objects from ARTS files
.SH SYNOPSIS
.nf
artsports [-v] [-n] [-p] [-t] [-i ifIndex] [-l maxEntries] 
          [[-b beginTime] [-e endTime] infile(s)
.fi
.SH DESCRIPTION
.I artsports
is a utility that reads port table objects and selected port table
objects from ARTS files (\fIinfile(s)\fR) and displays a summary of 
their contents on stdout.  When encountering a selected port table
object, it will print the selected ports that were used to generate
the selected port table object.
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIartsports\fR to print version information
and exit immediately.
.IP "\fB-n"
The \fI-n\fR option causes \fIartsports\fR to skip service name lookups
for port numbers, and just print the port numbers.
.IP "\fB-p"
The \fI-p\fR option will cause the entries to be sorted in descending
order by packet count (sum of both input and output packets) before being 
printed on stdout.  The default is to sort in descending order by byte 
count (sum of both input and output bytes).
.IP "\fB-t"
The \fI-t\fR option will cause the total packets and bytes per port (the
sume of input and output) to be shown, instead of separate input and
output counters.  When using this option, the total rates (packets/sec
and bits/sec) will also be shown per port.
.IP "\fB-i ifIndex"
The \fI-i ifIndexList\fR option permits selecting only data for a
specific input interface or set of input interfaces.  Selection is by
the interface's \fIifIndex\fR stored in the attribute section of the
input Arts objects.
.IP "\fB-l maxEntries"
The \fI-l maxEntries\fR option will cause only the first \fImaxEntries\fR
AS matrix entries to be shown for each AS matrix object.
.IP "\fB-b beginTime"
The \fI-b beginTime\fR option may be used to select only the data
which is from a time period at or later than \fIbeginTime\fR.  
\fIbeginTime\fR must be of the form 'MM/DD/CCYY hh:mm:ss' and must be
enclosed in quotes.  Example:
.nf

  '8/31/1999 09:00:00'
.fi
.IP "\fB-e endTime"
The \fI-e endTime\fR option may be used to select only the data
which is from a time period at or before \fIendTime\fR. 
\fIendTime\fR must be of the form 'MM/DD/CCYY hh:mm:ss' and must be
enclosed in quotes.  Example:
.nf

  '8/31/1999 09:00:00'
.fi
.SH EXAMPLES
.nf
.IP "artsports -t -i 1,3-5 -l 20 -b '08/21/1998 09:00:00' arts.19980821
.fi
.SH SEE ALSO
artsagg(l), artsportmagg(), artsportms(l), artsdump(l), artsases(l),
artsasagg(l), artsnets(l), artsnetagg(l), artsprotoagg(l), artsprotos(l),
artsintfms(l), artsintfmagg(l), artsnexthops(l), artsnexthopagg(l),
artstoc(l), artstos(l)
.SH ACKNOWLEDGEMENTS
\fBartsports \fRand documentation written by Daniel W. McRobb
.br
CAIDA, August 1998

