.TH artsprotoagg
.SH NAME
artsprotoagg \- utility to aggregate protocol table objects in time domain
.SH SYNOPSIS
.nf
artsprotoagg [-v] [-i ifIndexList] [-I ifIndexList]
             [-h hours] [-o] [-q] outfile infile(s)
.fi
.SH DESCRIPTION
.I artsprotoagg
is a utility that reads protocol table objects from ARTS files
(\fIinfile(s)\fR) and aggregates them in the time domain, placing the
resulting protocol table object(s) into an output file (\fIoutfile\fR).
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIartsprotoagg\fR to print version information
and exit immediately.
.IP "\fB-i ifIndexList"
The \fI-i ifIndexList\fR option may be used to select only data which
contains an interface index attribute in \fIifIndexList\fR.  In other
words, the \fI-i ifIndexList\fR option lets you select data from
particular interfaces or sets of interfaces.  \fIifIndexList\fR may
contain hyphens (indicating an inclusive range) and commas.  For
example, \fI-i 1,2,5-8\fR would select data with an interface index
attribute of 1, 2, 5, 6, 7 or 8.
.IP "\fB-I ifIndexList"
The \fI-I ifIndexList\fR option may be used to combine data which
contains an interface index attribute in \fIifIndexList\fR.  In other
words, the \fI-I ifIndexList\fR option lets you combine data across a
set of interfaces.  \fIifIndexList\fR may contain hyphens (indicating an
inclusive range) and commas.  For example, \fI-I 1,2,5-8\fR would
combine all data with an interface index attribute of 1, 2, 5, 6,
7 or 8.  The resulting aggregate objects will contain an interface index
attribute of 0.
.IP "\fB-h hours"
The \fI-h hours\fR option may be used to specify the period of aggregation,
in hours.  The \fIhours\fR argument accepts a decimal value to permit
aggregation by fractional hour values.  When the \fI-h hours\fR option is
not used, \fIartsprotoagg\fR will write a single protocol table object
for the entire time interval seen in \fIinfile(s)\fR to \fIoutfile\fR.
.IP "\fB-o"
By default, \fIartsprotoagg\fR appends to the output file, so you may
accumlate aggregate protocol table objects in a single file over multiple
invocations of \fIartsprotoagg\fR.  You may override this behavior with the
\fI-o\fR option.  This will cause \fIartsprotoagg\fR to overwrite the output
file instead of appending to it.
.IP "\fB-q"
By default, \fIartsprotoagg\fR prints a '.' for each protocol table
object it reads and prints a '+' for each object it writes.  You may
suppress this behavior with the \fI-q\fR (quiet) option.
.SH EXAMPLES
.IP "artsprotoagg -h 1.0 /tmp/proto1hr.19980821 arts.19980821"
.SH SEE ALSO
artsagg(l), artsprotos(l), artsdump(l), artsases(l), artsasagg(l),
artsnets(l), artsnetagg(l), artsportmagg(l), artsportms(l), artsports(l),
artsintfms(l), artsintfmagg(l), artsnexthops(l), artsnexthopagg(l),
artstos(l), artstoc(l)
.SH ACKNOWLEDGEMENTS
\fBartsprotoagg \fRand documentation written by Daniel W. McRobb
.br
CAIDA, August 1998

