.\" @(#) $Name: arts++-1-1-a13 $ $Id: artsprotos.man,v 1.1.1.1 2002/11/16 00:46:39 rkoga Exp $
.TH artsprotos l LOCAL
.SH NAME
artsprotos \- utility to display protocol table objects from ARTS files
.SH SYNOPSIS
.nf
artsprotos [-v] [-n] [-p] [-i ifIndexList] [-b beginTime] 
           [-e endTime] infile(s)
.fi
.SH DESCRIPTION
.I artsprotos
is a utility that reads protocol table objects from ARTS files 
(\fIinfile(s)\fR) and displays a summary of their contents on stdout.
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIartsprotos\fR to print version information
and exit immediately.
.IP "\fB-n"
The \fI-n\fR option causes \fIartsprotos\fR to print protocol numbers
instead of trying to print protocol names (usually stored in
/etc/protocols).  The default (without the \fI-n\fR option) tries to
print protocol names (only print numbers when we can't find the protocol 
name for a given protocol number).
.IP "\fB-p"
The \fI-p\fR option will cause the entries to be sorted in descending
order by packet count before being printed on stdout.  The default is
to sort in descending order by byte count.
.IP "\fB-i ifIndex"
The \fI-i ifIndexList\fR option permits selecting only data for a
specific input interface or set of input interfaces.  Selection is by
the interface's \fIifIndex\fR stored in the attribute section of the
Arts objects.
.IP "\fB-b beginTime"
The \fI-b beginTime\fR option may be used to select only the data
which is from a time period at or later than \fIbeginTime\fR.  
\fIbeginTime\fR must be of the form 'MM/DD/CCYY hh:mm:ss' and must be
enclosed in quotes.  Example:
.nf

  '8/31/1999 09:00:00'
.fi
.IP "\fB-e endTime"
The \fI-e endTime\fR option may be used to select only the data
which is from a time period at or before \fIendTime\fR. 
\fIendTime\fR must be of the form 'MM/DD/CCYY hh:mm:ss' and must be
enclosed in quotes.  Example:
.nf

  '8/31/1999 09:00:00'
.fi
.SH EXAMPLES
.IP "artsprotos -i 1,5 -b '8/21/1998 09:00:00' arts.19980821"
.SH SEE ALSO
artsagg(l), artsprotoagg(), artsdump(l), artsases(l), artsasagg(l), 
artsnets(l), artsnetagg(l), artsportmagg(l), artsportms(l), artsports(l),
artsintfms(l), artsintfmagg(l), artsnexthops(l), artsnexthopagg(l),
artstos(l), artstoc(l)
.SH ACKNOWLEDGEMENTS
\fBartsprotos\fR and documentation written by Daniel W. McRobb
.br
CAIDA, August 1998

