.\" @(#) $Name: arts++-1-1-a13 $ $Id: artstoc.man,v 1.1.1.1 2002/11/16 00:46:39 rkoga Exp $
.TH artstoc l LOCAL
.SH NAME
artstoc \- utility to display one-line summary of ARTS objects from ARTS files
.SH SYNOPSIS
artstoc [-v] [-b beginTime] [-e endTime] infile(s)
.SH DESCRIPTION
.I artstoc
is a utility that reads ARTS objects from ARTS files 
(\fIinfile(s)\fR) and displays a one-line summary for each object
on stdout.  This utility is typically used to check the contents of an ARTS
file.
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIartstoc\fR to print version information
and exit immediately.
.IP "\fB-b beginTime"
The \fI-b beginTime\fR option may be used to select only the data
which is from a time period at or later than \fIbeginTime\fR.  
\fIbeginTime\fR must be of the form 'MM/DD/CCYY hh:mm:ss' and must be
enclosed in quotes.  Example:
.nf

  '8/31/1999 09:00:00'
.fi
.IP "\fB-e endTime"
The \fI-e endTime\fR option may be used to select only the data
which is from a time period at or before \fIendTime\fR. 
\fIendTime\fR must be of the form 'MM/DD/CCYY hh:mm:ss' and must be
enclosed in quotes.  Example:
.nf

  '8/31/1999 09:00:00'
.fi
.SH EXAMPLES
.nf
.IP "artstoc -b '8/21/1998 09:00:00' -e '8/21/1998 17:00:00' arts.19980821"
.fi
.SH SEE ALSO
artsagg(l), artsdump(l), artsases(l), artsasagg(l), artsnets(l), 
artsnetagg(l), artsportmagg(l), artsportms(l), artsports(l),
artsprotoagg(l), artsprotos(l), artsintfms(l), artsintfmagg(l),
artsnexthops(l), artsnexthopagg(l), artstos(l)
.SH ACKNOWLEDGEMENTS
\fBartstoc\fR and documentation written by Daniel W. McRobb
.br
CAIDA, August 1998

