.\" @(#) $Name: arts++-1-1-a13 $ $Id: artstos.man,v 1.1.1.1 2002/11/16 00:46:40 rkoga Exp $
.TH artstos l LOCAL
.SH NAME
artstos \- utility to display TOS table objects from ARTS files
.SH SYNOPSIS
.nf
artstos [-v] [-n] [-p] [-i ifIndexList] [-b beginTime]
        [-e endTime] infile(s)
.fi
.SH DESCRIPTION
.I artstos
is a utility that reads TOS table objects from ARTS files 
(\fIinfile(s)\fR) and displays a summary of their contents on stdout.
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIartstos\fR to print version information
and exit immediately.
.IP "\fB-p"
The \fI-p\fR option will cause the entries to be sorted in descending
order by packet count before being printed on stdout.  The default is
to sort in descending order by byte count.
.IP "\fB-i ifIndexList"
The \fI-i ifIndex\fR option permits selecting only data for a specific
input interface or set of input interfaces.  Selection is by the
interface's \fIifIndex\fR stored in the attribute section of the Arts
objects.
.IP "\fB-b beginTime"
The \fI-b beginTime\fR option may be used to select only the data
which is from a time period at or later than \fIbeginTime\fR.  
\fIbeginTime\fR must be of the form 'MM/DD/CCYY hh:mm:ss' and must be
enclosed in quotes.  Example:
.nf

  '8/31/1999 09:00:00'
.fi
.IP "\fB-e endTime"
The \fI-e endTime\fR option may be used to select only the data
which is from a time period at or before \fIendTime\fR. 
\fIendTime\fR must be of the form 'MM/DD/CCYY hh:mm:ss' and must be
enclosed in quotes.  Example:
.nf

  '8/31/1999 09:00:00'
.fi
.SH EXAMPLES
.IP "artstos -i 1,5-8 -e '8/21/1998 17:00:00' arts.19980821"
.SH SEE ALSO
artsagg(l), artsprotoagg(l), artsdump(l), artsases(l), artsasagg(l), 
artsnets(l), artsnetagg(l), artsportmagg(l), artsportms(l), artsports(l),
artstoc(l), artsprotos(l), artsintfmagg(l), artsintfms(l), artsnexthops(l),
artsnexthopagg(l)
.SH ACKNOWLEDGEMENTS
\fBartsprotos\fR and documentation written by Daniel W. McRobb
.br
CAIDA, August 1998

