//===========================================================================
//  $Name: arts++-1-1-a13 $
//  $Id: ArtsDebug.cc,v 1.2 2004/04/21 23:51:32 kkeys Exp $
//===========================================================================
//  Copyright Notice
//
//  By accessing this software, arts++, you are duly informed
//  of and agree to be bound by the conditions described below in this
//  notice:
//
//  This software product, arts++, is developed by Daniel W. McRobb, and
//  copyrighted(C) 1998 by the University of California, San Diego
//  (UCSD), with all rights reserved.  UCSD administers the CAIDA grant,
//  NCR-9711092, under which part of this code was developed.
//
//  There is no charge for arts++ software.  You can redistribute it
//  and/or modify it under the terms of the GNU Lesser General Public
//  License, Version 2.1, February 1999, which is incorporated by
//  reference herein.
//
//  arts++ is distributed WITHOUT ANY WARRANTY, IMPLIED OR EXPRESS, OF
//  MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE or that the use
//  of it will not infringe on any third party's intellectual
//  property rights.
//
//  You should have received a copy of the GNU Lesser General Public
//  License along with arts++.  Copies can also be obtained from:
//
//    http://www.gnu.org/copyleft/lesser.html
//
//  or by writing to:
//
//  Free Software Foundation, Inc.
//  59 Temple Place, Suite 330
//  Boston, MA 02111-1307
//  USA
//
//  Or contact:
//
//    info@caida.org
//===========================================================================

#include <string>

#include "ArtsDebug.hh"
#include "Arts.hh"
#include "ArtsFileUtil.hh"

#ifndef NDEBUG

using namespace std;

static const std::string rcsid = "@(#) $Name: arts++-1-1-a13 $ $Id: ArtsDebug.cc,v 1.2 2004/04/21 23:51:32 kkeys Exp $";

  //--------------------------------------------------------------------------
  //                      void ShowArtsObjectsNotFreed()                     
  //..........................................................................
  //  
  //--------------------------------------------------------------------------
  void ShowArtsObjectsNotFreed()
  {
    if (Arts::NumObjects() > 0)
      cout << "Arts objects: "
           << Arts::NumObjects() << endl;
    
    if (ArtsHeader::NumObjects() > 0)
      cout << "ArtsHeader objects: "
           << ArtsHeader::NumObjects() << endl;
    
    if (ArtsAttribute::NumObjects() > 0)
      cout << "ArtsAttribute objects: "
           << ArtsAttribute::NumObjects() << endl;
    
    if (ArtsAsMatrixData::NumObjects() > 0)
      cout << "ArtsAsMatrixData objects: "
           << ArtsAsMatrixData::NumObjects() << endl;
    
    if (ArtsAsMatrixEntry::NumObjects() > 0)
      cout << "ArtsAsMatrixEntry objects: "
           << ArtsAsMatrixEntry::NumObjects() << endl;
    
    if (ArtsNetMatrixData::NumObjects() > 0)
      cout << "ArtsNetMatrixData objects: "
           << ArtsNetMatrixData::NumObjects() << endl;
    
    if (ArtsNetMatrixEntry::NumObjects() > 0)
      cout << "ArtsNetMatrixEntry objects: "
           << ArtsNetMatrixEntry::NumObjects() << endl;
    
    if (ArtsNextHopTableData::NumObjects() > 0)
      cout << "ArtsNextHopTableData objects: "
           << ArtsNextHopTableData::NumObjects() << endl;
    
    if (ArtsNextHopTableEntry::NumObjects() > 0)
      cout << "ArtsNextHopTableEntry objects: "
           << ArtsNextHopTableEntry::NumObjects() << endl;
    
    if (ArtsProtocolTableData::NumObjects() > 0)
      cout << "ArtsProtocolTableData objects: "
           << ArtsProtocolTableData::NumObjects() << endl;
    
    if (ArtsProtocolTableEntry::NumObjects() > 0)
      cout << "ArtsProtocolTableEntry objects: "
           << ArtsProtocolTableEntry::NumObjects() << endl;

    if (ArtsInterfaceMatrixData::NumObjects() > 0)
      cout << "ArtsInterfaceMatrixData objects: "
           << ArtsInterfaceMatrixData::NumObjects() << endl;
    
    if (ArtsInterfaceMatrixEntry::NumObjects() > 0)
      cout << "ArtsInterfaceMatrixEntry objects: "
           << ArtsInterfaceMatrixEntry::NumObjects() << endl;

    if (ArtsPortMatrixData::NumObjects() > 0)
      cout << "ArtsPortMatrixData objects: "
           << ArtsPortMatrixData::NumObjects() << endl;

    if (ArtsPortMatrixEntry::NumObjects() > 0)
      cout << "ArtsPortMatrixEntry objects: "
           << ArtsPortMatrixEntry::NumObjects() << endl;

    if (ArtsPortChooser::NumObjects() > 0)
      cout << "ArtsPortChooser objects: "
           << ArtsPortChooser::NumObjects() << endl;

    if (ArtsPortChoice::NumObjects() > 0)
      cout << "ArtsPortChoice objects: "
           << ArtsPortChoice::NumObjects() << endl;
    
    if (ArtsIpPathData::NumObjects() > 0)
      cout << "ArtsIpPathData objects: "
           << ArtsIpPathData::NumObjects() << endl;

    if (ArtsIpPathEntry::NumObjects() > 0)
      cout << "ArtsIpPathEntry objects: "
           << ArtsIpPathEntry::NumObjects() << endl;

    if (ArtsSelectedPortTableData::NumObjects() > 0)
      cout << "ArtsSelectedPortTableData objects: "
           << ArtsSelectedPortTableData::NumObjects() << endl;

    if (ArtsPortTableEntry::NumObjects() > 0)
      cout << "ArtsPortTableEntry objects: "
           << ArtsPortTableEntry::NumObjects() << endl;

    if (ArtsFileUtil::NumObjects() > 0)
      cout << "ArtsFileUtil objects: "
           << ArtsFileUtil::NumObjects() << endl;
    
    return;
  }

#endif

