//===========================================================================
//  $Name: arts++-1-1-a13 $
//  $Id: ArtsPackageVersion.cc,v 1.2 2004/04/21 23:51:33 kkeys Exp $
//===========================================================================
//  Copyright Notice
//
//  By accessing this software, arts++, you are duly informed
//  of and agree to be bound by the conditions described below in this
//  notice:
//
//  This software product, arts++, is developed by Daniel W. McRobb, and
//  copyrighted(C) 1998 by the University of California, San Diego
//  (UCSD), with all rights reserved.  UCSD administers the CAIDA grant,
//  NCR-9711092, under which part of this code was developed.
//
//  There is no charge for arts++ software.  You can redistribute it
//  and/or modify it under the terms of the GNU Lesser General Public
//  License, Version 2.1, February 1999, which is incorporated by
//  reference herein.
//
//  arts++ is distributed WITHOUT ANY WARRANTY, IMPLIED OR EXPRESS, OF
//  MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE or that the use
//  of it will not infringe on any third party's intellectual
//  property rights.
//
//  You should have received a copy of the GNU Lesser General Public
//  License along with arts++.  Copies can also be obtained from:
//
//    http://www.gnu.org/copyleft/lesser.html
//
//  or by writing to:
//
//  Free Software Foundation, Inc.
//  59 Temple Place, Suite 330
//  Boston, MA 02111-1307
//  USA
//
//  Or contact:
//
//    info@caida.org
//===========================================================================

#include "ArtsPackageVersion.hh"

using namespace std;

static const std::string rcsid = "@(#) $Name: arts++-1-1-a13 $ $Id: ArtsPackageVersion.cc,v 1.2 2004/04/21 23:51:33 kkeys Exp $";

//-------------------------------------------------------------------------
//     ArtsPackageVersion::ArtsPackageVersion(const string & nameAndId)
//.........................................................................
//  
//-------------------------------------------------------------------------
ArtsPackageVersion::ArtsPackageVersion(const string & nameAndId)
{
  const string  nameTag = string("$Name: ");
  const string  idTag = string("$Id: ");
  size_t        startPos = nameAndId.find(nameTag);
  size_t        endPos;
  
  if (startPos != nameAndId.npos) {
    startPos += nameTag.length();
    endPos = startPos;
    while (nameAndId[endPos] != ' ') {
      endPos++;
    }
    this->_name.assign(nameAndId,startPos,endPos-startPos);
  }

  startPos = nameAndId.find(idTag);
  if (startPos != nameAndId.npos) {
    startPos += idTag.length();
    endPos = startPos + 1;
    while (nameAndId[endPos] != '$') {
      endPos++;
    }
    this->_id.assign(nameAndId,startPos,endPos-startPos);
  }
}

//-------------------------------------------------------------------------
//            const string & ArtsPackageVersion::Name() const
//.........................................................................
//  
//-------------------------------------------------------------------------
const string & ArtsPackageVersion::Name() const
{
  return(this->_name);
}

//-------------------------------------------------------------------------
//             const string & ArtsPackageVersion::Id() const
//.........................................................................
//  
//-------------------------------------------------------------------------
const string & ArtsPackageVersion::Id() const
{
  return(this->_id);
}

